Bug 1014013 - if Migration Network is VLAN-tagged, traffic flows to management network
if Migration Network is VLAN-tagged, traffic flows to management network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
GenadiC
network
:
Depends On:
Blocks: 1019461 3.3snap1
  Show dependency treegraph
 
Reported: 2013-10-01 05:24 EDT by GenadiC
Modified: 2016-02-10 14:48 EST (History)
10 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:16:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log on origin host (7.92 MB, text/x-log)
2013-10-01 05:24 EDT, GenadiC
no flags Details
vdsm log on dest host (8.67 MB, text/x-log)
2013-10-01 05:28 EDT, GenadiC
no flags Details
engine log (9.08 MB, text/x-log)
2013-10-01 05:33 EDT, GenadiC
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20039 None None None Never
oVirt gerrit 20146 None None None Never

  None (edit)
Description GenadiC 2013-10-01 05:24:04 EDT
Created attachment 805778 [details]
vdsm log on origin host

Description of problem:
If you configure migration network as VLAN network, the migration will occur not on migration network but on MGMT network

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create VLAN network
2. Configure it as migration network
3. Put it on both hosts with static IP
4) Start VM migration

Actual results:
Migration happens on the MGMT network

Expected results:
VM migration should occur on migration network

Additional info:
When configuring network as untagged the migration network feature is working as expected.
When configuring it as VLAN network the migration network feature is not working, though there is a ping between both hosts on that network

I configure IP 1.1.1.1 on the source and 1.1.1.2 on the dest for this test
Comment 1 GenadiC 2013-10-01 05:28:59 EDT
Created attachment 805780 [details]
vdsm log on dest host
Comment 2 GenadiC 2013-10-01 05:33:48 EDT
Created attachment 805790 [details]
engine log
Comment 3 GenadiC 2013-10-27 10:35:06 EDT
Verified in IS20
Comment 4 Itamar Heim 2014-01-21 17:16:25 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:23:16 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.